function z=ctriw(x,y)

% CTRIW       Canonical Tri-weight Kernel Function for univariate data.

if nargin==1,
  z=ktriw(x/2.3122)/2.3122;
  elseif nargin==2,
    z=ktriw(x/2.3122).*ktriw(y/2.3122)/2.3122^2;
end;